- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

# trim.hh File Reference

Declaration of useful_states() and trim(). More...

Include dependency graph for trim.hh:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | vcsn
## Functions
template<typename A, typename T>
std::set< hstate_t > | useful_states (const Element< A, T > &a)
| Returns a useful states of the automaton (start reachable and final co-).
template<typename A, typename T>
Element< A, T > | trim (const Element< A, T > &a)
| Return a fresh automaton in which non useful states are removed.
template<typename A, typename T>
void | trim_here (Element< A, T > &a)
| Trim a.

## Detailed Description

Declaration of useful_states() and trim().

See also:
  useful_states(), trim()

Definition in file trim.hh.